### DbMpoolFile::set_clear_len |

`

###

    #include <db_cxx.h>

    int
    DbMpoolFile::set(u_int32_t len);

    int
    DbMpoolFile::get_clear_len(u_int32_t *lenp);

### Description: DbMpoolFile::set_clear_len

The DbMpoolFile::set_clear_len method sets the number of initial bytes in a page that should be set to nul when the page is created as a result of the DB_MPOOL_CREATE or DB_MPOOL_NEW flags being specified to DbMpoolFile::get. If no clear length is specified, the entire page is cleared when it is created.

The DbMpoolFile::set_clear_len method configures a file in the memory pool, not only operations performed using the specified DbMpoolFile handle.

The DbMpoolFile::set_clear_len method may not be called after the DbMpoolFile::open method is called. If the file is already open in the memory pool when DbMpoolFile::open is called, the information specified to DbMpoolFile::set_clear_len must be consistent with the existing file or an error will be returned.

The DbMpoolFile::set_clear_len method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

len
  The len parameter is the number of initial bytes in a page that should be set to nul when the page is created. A value of 0 results in the entire page being set to nul bytes.

### Description: DbMpoolFile::get_clear_len

The DbMpoolFile::get_clear_len method returns the bytes to be cleared.

The DbMpoolFile::get_clear_len method may be called at any time during the life of the application.

The DbMpoolFile::get_clear_len method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

lenp
  The DbMpoolFile::get_clear_len method returns the bytes to be cleared in lenp.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.